View Issue Details

IDProjectCategoryView StatusLast Update
16460Bug reportsPluginspublic2020-09-14 12:56
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.22.25 
Summary16460: Unable to update format (A,G,Q) or index (full, etc ) by plugin
DescriptionCurrently : format can not be updated by plugin.

But it seems a good thing to be allowed.

Same for index
Steps To ReproduceTry to set format to All in one page for any Group by group survey via plugin.
Additional InformationI think all attributes can be updated is the best way.

Plugin are PHP and can broke anything.

https://github.com/LimeSurvey/LimeSurvey/blob/c0b3692265f075b8c82cc55d12ffd80fa72f47d4/application/models/Survey.php#L514

`foreach ($this->getAttributes() as $attribute => $value)`
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.22.25
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16667 closedDenisChenu Unable to update format (A,G,Q) or index (full, etc ) by plugin 

Activities

DenisChenu

DenisChenu

2020-07-06 16:47

developer   ~58726

https://github.com/LimeSurvey/LimeSurvey/pull/1468

(how to put a feature like a bug fix :p )
Mazi

Mazi

2020-07-07 14:33

partner   ~58743

Thanks a lot, Denis. We will soon test this with a new plugin.
DenisChenu

DenisChenu

2020-07-29 12:17

developer   ~59148

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30315
lime_release_bot

lime_release_bot

2020-07-30 15:30

administrator   ~59212

Fixed in Release 3.22.29+200731
asshank

asshank

2020-09-14 12:50

reporter   ~59784

The commit is not been done in Lime4. There it is still a subset of attributes (and format is not there)!
So:
in 3 OK
in 4 NOK (4.3.15)
DenisChenu

DenisChenu

2020-09-14 12:56

developer   ~59785

Right :)

Sorry

https://bugs.limesurvey.org/view.php?id=16667

Related Changesets

LimeSurvey: 3.x-LTS 408683da

2020-07-06 15:51:45

DenisChenu


Committer: user231563 Details Diff
Fixed issue 16460: Unable to update format or questionindex by plugin
Dev : all attributes allowed
Affected Issues
16460
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2020-07-06 15:40 DenisChenu New Issue
2020-07-06 15:41 DenisChenu Summary Unabloe to update format (A,G,Q) or index (full, etc ) by plugin => Unable to update format (A,G,Q) or index (full, etc ) by plugin
2020-07-06 16:46 ollehar Product Version => 3.22.25
2020-07-06 16:47 DenisChenu Note Added: 58726
2020-07-07 14:33 Mazi Note Added: 58743
2020-07-29 12:17 user231563 Changeset attached => LimeSurvey 3.x-LTS 408683da
2020-07-29 12:17 DenisChenu Note Added: 59148
2020-07-29 12:17 DenisChenu Assigned To => DenisChenu
2020-07-29 12:17 DenisChenu Resolution open => fixed
2020-07-30 15:30 lime_release_bot Note Added: 59212
2020-07-30 15:30 lime_release_bot Status new => closed
2020-09-14 12:50 asshank Note Added: 59784
2020-09-14 12:56 DenisChenu Relationship added related to 16667
2020-09-14 12:56 DenisChenu Note Added: 59785